Package org.xnio.conduits

# Class ReadReadyHandler.ChannelListenerHandler<C extends SuspendableReadChannel & ReadListenerSettable<C> & CloseListenerSettable<C>>

java.lang.Object
org.xnio.conduits.ReadReadyHandler.ChannelListenerHandler<C>

Type Parameters:
  `C` - the channel type

All Implemented Interfaces:
  `ReadReadyHandler`, `TerminateHandler`

Enclosing interface:
  `ReadReadyHandler`

public static class ReadReadyHandler.ChannelListenerHandler<C extends SuspendableReadChannel & ReadListenerSettable<C> & CloseListenerSettable<C>> extends Object implements ReadReadyHandler
A read ready handler which calls channel listener(s).

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.xnio.conduits.ReadReadyHandler

`ReadReadyHandler.ChannelListenerHandler<C extends SuspendableReadChannel & ReadListenerSettable<C> & CloseListenerSettable<C>>, ReadReadyHandler.ReadyTask`

## Constructor Summary

Constructors
Constructor
Description
`ChannelListenerHandler(C channel)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`forceTermination()`
Force the front-end channel to close, in response to XNIO worker shutdown.
`void`
`readReady()`
Signify that reads are ready.
`void`
`terminated()`
Indicate that a previous shutdown request has successfully resulted in termination.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChannelListenerHandler

public ChannelListenerHandler(C channel)
Construct a new instance.

Parameters:
  `channel` - the channel

## Method Details

### forceTermination

public void forceTermination()
Description copied from interface: `TerminateHandler`
Force the front-end channel to close, in response to XNIO worker shutdown.

Specified by:
  `forceTermination` in interface `TerminateHandler`

### readReady

public void readReady()
Description copied from interface: `ReadReadyHandler`
Signify that reads are ready.

Specified by:
  `readReady` in interface `ReadReadyHandler`

### terminated

public void terminated()
Description copied from interface: `TerminateHandler`
Indicate that a previous shutdown request has successfully resulted in termination.

Specified by:
  `terminated` in interface `TerminateHandler`